Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclNativeFile Class Reference
[OSCL IO]

`#include <oscl_file_native.h>`

Inheritance diagram for OsclNativeFile:

## Public Methods
| OsclNativeFile ()
| ~OsclNativeFile ()
int32 | Open (const OsclFileHandle &, uint32 mode, const OsclNativeFileParams &params, Oscl_FileServer &fileserv)
int32 | Open (const oscl_wchar *filename, uint32 mode, const OsclNativeFileParams &params, Oscl_FileServer &fileserv)
int32 | Open (const char *filename, uint32 mode, const OsclNativeFileParams &params, Oscl_FileServer &fileserv)
uint32 | Read (OsclAny *buffer, uint32 size, uint32 numelements)
uint32 | Write (const OsclAny *buffer, uint32 size, uint32 numelements)
int32 | Seek (TOsclFileOffset offset, Oscl_File::seek_type origin)
TOsclFileOffset | Tell ()
int32 | Flush ()
int32 | EndOfFile ()
TOsclFileOffset | Size ()
int32 | Close ()
int32 | SetSize (uint32 size)
uint32 | Mode ()
int32 | GetError ()
int32 | ReadAsync (OsclAny *buffer, uint32 size, uint32 numelements, OsclAOStatus &status)
uint32 | GetReadAsyncNumElements ()
bool | HasAsyncRead ()
void | ReadAsyncCancel ()

## Constructor & Destructor Documentation

OsclNativeFile::OsclNativeFile | ( |  | ) |

OsclNativeFile::~OsclNativeFile | ( |  | ) |

## Member Function Documentation

int32 OsclNativeFile::Close | ( |  | ) |

int32 OsclNativeFile::EndOfFile | ( |  | ) |

int32 OsclNativeFile::Flush | ( |  | ) |

int32 OsclNativeFile::GetError | ( |  | ) |

uint32 OsclNativeFile::GetReadAsyncNumElements | ( |  | ) |

| Get the number of elements read in the last call to ReadAsync. @returns: number of elements read.

bool OsclNativeFile::HasAsyncRead | ( |  | ) |

| @returns: true if async read is supported natively.

uint32 OsclNativeFile::Mode | ( |  | ) | `[inline]`

int32 OsclNativeFile::Open | ( | const char * | filename,
|  | uint32 | mode,
|  | const OsclNativeFileParams & | params,
|  | Oscl_FileServer & | fileserv
| ) |

int32 OsclNativeFile::Open | ( | const oscl_wchar * | filename,
|  | uint32 | mode,
|  | const OsclNativeFileParams & | params,
|  | Oscl_FileServer & | fileserv
| ) |

int32 OsclNativeFile::Open | ( | const OsclFileHandle & | ,
|  | uint32 | mode,
|  | const OsclNativeFileParams & | params,
|  | Oscl_FileServer & | fileserv
| ) |

uint32 OsclNativeFile::Read | ( | OsclAny * | buffer,
|  | uint32 | size,
|  | uint32 | numelements
| ) |

int32 OsclNativeFile::ReadAsync | ( | OsclAny * | buffer,
|  | uint32 | size,
|  | uint32 | numelements,
|  | OsclAOStatus & | status
| ) |

  | Asynchronous read. Parameters:
  buffer: | data buffer, must be at least size*numelements bytes
  size: | size of elements
  numelements: | number of elements to read
  status: | Request status for asynchronous completion @returns: 0 for success.

void OsclNativeFile::ReadAsyncCancel | ( |  | ) |

| Cancel any pending async read.

int32 OsclNativeFile::Seek | ( | TOsclFileOffset | offset,
|  | Oscl_File::seek_type | origin
| ) |

int32 OsclNativeFile::SetSize | ( | uint32 | size | ) |

TOsclFileOffset OsclNativeFile::Size | ( |  | ) |

TOsclFileOffset OsclNativeFile::Tell | ( |  | ) |

uint32 OsclNativeFile::Write | ( | const OsclAny * | buffer,
|  | uint32 | size,
|  | uint32 | numelements
| ) |

The documentation for this class was generated from the following file:

- oscl_file_native.h